GO
CREATE TABLE [dbo].[Aux_MailTemplates](
	[MailTemplateID] [int] IDENTITY(1,1) NOT NULL,
	[AreaID] [int] NOT NULL,
	[TemplateName] [nvarchar](50) COLLATE Czech_CI_AS NOT NULL,
	[SendTo] [nvarchar](200) COLLATE Czech_CI_AS NULL,
	[CopyTo] [nvarchar](200) COLLATE Czech_CI_AS NULL,
	[BlindCopyTo] [nvarchar](200) COLLATE Czech_CI_AS NULL,
	[Subject] [nvarchar](200) COLLATE Czech_CI_AS NULL,
	[Body] [ntext] COLLATE Czech_CI_AS NULL,
	[SenderAddress] [nvarchar](200) COLLATE Czech_CI_AS NULL,
	[AddressSQLCmd] [ntext] COLLATE Czech_CI_AS NULL,
	[TextSQLCmd] [ntext] COLLATE Czech_CI_AS NULL,
	[Note] [ntext] COLLATE Czech_CI_AS NULL,
	[Hide] [bit] NULL,
	[AuxInt] [int] NULL,
	[AuxStr] [nvarchar](50) COLLATE Czech_CI_AS NULL,
 CONSTRAINT [PK_Aux_MailTemplates] PRIMARY KEY CLUSTERED 
(
	[MailTemplateID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO

UPDATE Global_MenuItems SET ItemID=929096, ItemCaptionMenu_CZ='Email ablony', TableName='Aux_MailTemplates', HideInMenu=0 
WHERE ItemID=929096

GO
INSERT INTO Aux_MailTemplates (AreaID, TemplateName, SendTo, CopyTo, BlindCopyTo, Subject, Body, SenderAddress, AddressSQLCmd, TextSQLCmd, Note, Hide, AuxInt, AuxStr) 
VALUES (110, 'Email majiteli jednoduch', null, null, null, 'testovac email', 'Pro: <<Majitel>>' + char(13) + char(10) + '' + char(13) + char(10) + 'Text emailu' + char(13) + char(10) + '' + char(13) + char(10) + 'S pozdravem' + char(13) + char(10) + '	RONICA' + char(13) + char(10) + ''
  , null, 'SELECT Email FROM Rony_Global.dbo.Majitele ' + char(13) + char(10) + 'WHERE Id_majitele=<<Id_majitele>>' + char(13) + char(10) + '', null, null
  , 0, null, null)
INSERT INTO Aux_MailTemplates (AreaID, TemplateName, SendTo, CopyTo, BlindCopyTo, Subject, Body, SenderAddress, AddressSQLCmd, TextSQLCmd, Note, Hide, AuxInt, AuxStr) 
VALUES (190, 'Email majiteli', '<<Email>>', null, null, 'testovac email', 'Pro: <<Kontaktni_osoba>>' + char(13) + char(10) + 'Adresa: <<Adresa>>, <<PSC>> <<Mesto>>' + char(13) + char(10) + 'Tel: <<Telefon>>' + char(13) + char(10) + '' + char(13) + char(10) + 'Ven pane,' + char(13) + char(10) + '' + char(13) + char(10) + '' + char(13) + char(10) + 'S pozdravem' + char(13) + char(10) + '	RONICA'
  , null, null, null, null, 0, null, null)
INSERT INTO Aux_MailTemplates (AreaID, TemplateName, SendTo, CopyTo, BlindCopyTo, Subject, Body, SenderAddress, AddressSQLCmd, TextSQLCmd, Note, Hide, AuxInt, AuxStr) 
VALUES (110, 'Email majiteli, sprvce do kopie', null, null, null, 'testovac email', 'Pro: <<Majitel>>' + char(13) + char(10) + '' + char(13) + char(10) + 'Text emailu' + char(13) + char(10) + '' + char(13) + char(10) + 'S pozdravem' + char(13) + char(10) + '	RONICA'
  , null, 'SELECT Email, '''' FROM Rony_Global.dbo.Majitele ' + char(13) + char(10) + 'WHERE Id_majitele=<<Id_majitele>>' + char(13) + char(10) + 'UNION ALL' + char(13) + char(10) + 'SELECT '''', Email FROM Rony_Global.dbo.Majitele ' + char(13) + char(10) + 'WHERE Id_majitele=<<Id_spravce>>' + char(13) + char(10) + ''
  , null, null, 0, null, null)
INSERT INTO Aux_MailTemplates (AreaID, TemplateName, SendTo, CopyTo, BlindCopyTo, Subject, Body, SenderAddress, AddressSQLCmd, TextSQLCmd, Note, Hide, AuxInt, AuxStr) 
VALUES (110, 'Email majiteli a sprvci jednoduch', null, null, null, 'testovac email', 'Pro: <<Majitel>>' + char(13) + char(10) + 'Sprvce: <<Spravce>>' + char(13) + char(10) + '' + char(13) + char(10) + 'Text emailu' + char(13) + char(10) + '' + char(13) + char(10) + 'S pozdravem' + char(13) + char(10) + '	RONICA'
  , null, 'SELECT Email FROM Rony_Global.dbo.Majitele ' + char(13) + char(10) + 'WHERE Id_majitele=<<Id_majitele>>' + char(13) + char(10) + 'UNION ALL' + char(13) + char(10) + 'SELECT Email FROM Rony_Global.dbo.Majitele ' + char(13) + char(10) + 'WHERE Id_majitele=<<Id_spravce>>' + char(13) + char(10) + ''
  , null, null, 0, null, null)
INSERT INTO Aux_MailTemplates (AreaID, TemplateName, SendTo, CopyTo, BlindCopyTo, Subject, Body, SenderAddress, AddressSQLCmd, TextSQLCmd, Note, Hide, AuxInt, AuxStr) 
VALUES (110, 'Email majiteli s odetem TV', null, null, null, 'testovac email', 'Pro: <<Majitel>>' + char(13) + char(10) + '' + char(13) + char(10) + 'Text emailu...' + char(13) + char(10) + '' + char(13) + char(10) + 'Celkov odeet TV:  <<Odpocty_sum>> m3' + char(13) + char(10) + '' + char(13) + char(10) + 'S pozdravem' + char(13) + char(10) + '	RONICA' + char(13) + char(10) + ''
  , null, 'SELECT Email FROM Rony_Global.dbo.Majitele ' + char(13) + char(10) + 'WHERE Id_majitele=<<Id_majitele>>' + char(13) + char(10) + '', 'SELECT * FROM vqDomy_OdpoctySum ' + char(13) + char(10) + 'WHERE Id_domu=<<Id_domu>> AND TV=1'
  , null, 0, null, null)
INSERT INTO Aux_MailTemplates (AreaID, TemplateName, SendTo, CopyTo, BlindCopyTo, Subject, Body, SenderAddress, AddressSQLCmd, TextSQLCmd, Note, Hide, AuxInt, AuxStr) 
VALUES (220, 'Email njemnkovi', '<<Kontakt_email>>', null, null, 'testovac email', 'Pro: <<Prijmeni>> <<Jmeno>>' + char(13) + char(10) + 'Adresa: <<Ulice_cislo>>, <<Mesto>>' + char(13) + char(10) + 'Tel: <<Kontakt_tel>>' + char(13) + char(10) + '' + char(13) + char(10) + 'Ven pane,' + char(13) + char(10) + '' + char(13) + char(10) + '' + char(13) + char(10) + 'S pozdravem' + char(13) + char(10) + '	RONICA'
  , null, null, null, null, 0, null, null)



GO

INSERT INTO Global_ConfigGroups (ConfigGroupID, ConfigGroupName, ConfigGroupDescription, ConfigDepRecDescription, DependedTable, DependedRecordsSQL, OnlyAdminAccess) 
VALUES (9000, 'Internet', 'Internet', null, null, null, 0)

GO

INSERT INTO Global_Configuration (ConfigGroupID, ConfigOrderNum, ConfigNameID, DependedRecordID, ConfigType, ConfigName, ConfigDescription, ConfigListValues, DefaultValue, NotDefinedInfoMsg
  , ConfigValue, ConfigValueText, FieldLinkQueryName) 
VALUES (9000, 20, 'HTTPAresICO', 0, 0, 'Naten ARES podle ICO', null, null, null, null, 'http://wwwinfo.mfcr.cz/cgi-bin/ares/darv_bas.cgi?ico=%ICO%', null, null
  )
INSERT INTO Global_Configuration (ConfigGroupID, ConfigOrderNum, ConfigNameID, DependedRecordID, ConfigType, ConfigName, ConfigDescription, ConfigListValues, DefaultValue, NotDefinedInfoMsg
  , ConfigValue, ConfigValueText, FieldLinkQueryName) 
VALUES (9000, 30, 'HTTPAresCompany', 0, 0, 'Naten ARES podle firmy', null, null, null, null, 'http://wwwinfo.mfcr.cz/cgi-bin/ares/ares_es.cgi?obch_jm=%Company%&filtr=1'
  , null, null)

GO

UPDATE Global_MenuItems SET ItemID=900001, HideInToolBar=0 
WHERE ItemID=900001
UPDATE Global_MenuItems SET ItemID=900010, HideInToolBar=1 
WHERE ItemID=900010
UPDATE Global_MenuItems SET ItemID=900020, HideInToolBar=1 
WHERE ItemID=900020
UPDATE Global_MenuItems SET ItemID=900030, HideInToolBar=1 
WHERE ItemID=900030
UPDATE Global_MenuItems SET ItemID=900050, HideInToolBar=1 
WHERE ItemID=900050
UPDATE Global_MenuItems SET ItemID=900090, HideInToolBar=1 
WHERE ItemID=900090

GO

DROP TABLE [dbo].[Majitele]
GO
CREATE TABLE [dbo].[Majitele](
	[Id_majitele] [int] IDENTITY(1,1) NOT NULL,
	[GUID] [uniqueidentifier] NULL,
	[Nazev] [nvarchar](100) NOT NULL,
	[Nazev_tisk] [nvarchar](30) NULL,
	[Adresa] [nvarchar](50) NULL,
	[Mesto] [nvarchar](25) NULL,
	[PSC] [nvarchar](10) NULL,
	[Kontaktni_osoba] [nvarchar](50) NULL,
	[Telefon] [nvarchar](25) NULL,
	[Email] [nvarchar](50) NULL,
	[Cislo_smlouvy] [nvarchar](25) NULL,
	[ICO] [nvarchar](20) NULL,
	[Pozn] [ntext] NULL,
	[Spravce_typ_reportu] [nvarchar](50) NULL,
	[Spravce_typ_exportu] [nvarchar](50) NULL,
	[Vytvoril_id] [int] NULL,
	[Vytvoril_datum] [datetime] NULL,
	[Ulozil_id] [int] NULL,
	[Ulozil_datum] [datetime] NULL,
	[TempID] [int] NULL,
	[ImportID] [nvarchar](50) NULL,
 CONSTRAINT [PK_Majitele] PRIMARY KEY CLUSTERED 
(
	[Id_majitele] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO

CREATE TABLE [dbo].[Web_Log](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[Log_Typ] [int] NULL,
	[Log_Popis] [nvarchar](200) NULL,
	[Log_Pozn] [ntext] NULL,
	[Pocet_chyb] [int] NULL,
	[Log_Datum] [datetime] NULL,
	[DataFile] [nvarchar](50) NULL,
	[Dum_GUID] [uniqueidentifier] NULL,
	[Dum_Kod] [nvarchar](25) NULL,
	[AuxInt1] [int] NULL,
	[AuxStr1] [nvarchar](200) NULL,
 CONSTRAINT [PK_Web_Log] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO


UPDATE Global_Configuration SET ConfigNameID='PDFAdresar', 
ConfigDescription='Pro adres i nzev souboru lze vyut nsledujc zstupn znaky:' + char(13) + char(10) + 
'daje domu: <rok>, <koddomu>, <mesto>, < adresa>' + char(13) + char(10) + 
'daje njemnka: <ulice>, <cislovchodu>, <prijmeni>, <jmeno>, <cislobytu>, <000cislobytu>, <cislonajem>, <odbmisto>, <datumod>, <datumdo>'
, ConfigValue='<mesto>_<adresa>' 

WHERE ConfigNameID='PDFAdresar'

GO

UPDATE Global_Configuration SET ConfigNameID='PDFSouborDetailIndiv', 
ConfigName='Maska PDF souboru roztovn - jednotliv soubory', 
ConfigDescription='Pro adres i nzev souboru lze vyut nsledujc zstupn znaky:' + char(13) + char(10) + 
'daje domu: <rok>, <koddomu>, <mesto>, < adresa>' + char(13) + char(10) + 
'daje njemnka: <ulice>, <cislovchodu>, <prijmeni>, <jmeno>, <cislobytu>, <000cislobytu>, <cislonajem>, <odbmisto>, <datumod>, <datumdo>'
  , ConfigValue='<rok>_<koddomu>_<cislonajem>_<prijmeni>' 
WHERE ConfigNameID='PDFSoubor'

GO

INSERT INTO Global_Configuration (ConfigGroupID, ConfigOrderNum, ConfigNameID, DependedRecordID, ConfigType, ConfigName, ConfigDescription, ConfigListValues, DefaultValue, NotDefinedInfoMsg
  , ConfigValue, ConfigValueText, FieldLinkQueryName) 
VALUES (40, 30, 'PDFSouborDetailSpol', 0, 0, 'Maska PDF souboru roztovn - spolen soubor', 'Pro adres i nzev souboru lze vyut nsledujc zstupn znaky:' + char(13) + char(10) + 'daje domu: <rok>, <koddomu>, <mesto>, < adresa>' + char(13) + char(10) + 'daje njemnka: <ulice>, <cislovchodu>, <prijmeni>, <jmeno>, <cislobytu>, <000cislobytu>, <cislonajem>, <odbmisto>, <datumod>, <datumdo>'
  , null, null, null, '<rok>_<mesto>_<ulice> byty', null, null)


INSERT INTO Global_Configuration (ConfigGroupID, ConfigOrderNum, ConfigNameID, DependedRecordID, ConfigType, ConfigName, ConfigDescription, ConfigListValues, DefaultValue, NotDefinedInfoMsg
  , ConfigValue, ConfigValueText, FieldLinkQueryName) 
VALUES (40, 40, 'PDFSouborSumy', 0, 0, 'Maska PDF souboru pro souhrny za dm', 'Pro adres i nzev souboru lze vyut nsledujc zstupn znaky:' + char(13) + char(10) + 'daje domu: <rok>, <koddomu>, <mesto>, < adresa>' + char(13) + char(10) + 'daje njemnka: <ulice>, <cislovchodu>, <prijmeni>, <jmeno>, <cislobytu>, <000cislobytu>, <cislonajem>, <odbmisto>, <datumod>, <datumdo>'
  , null, null, null, '<rok>_<mesto>_<ulice> objekt', null, null)

GO
UPDATE Global_FieldLabels SET FieldName='Cena_MJ', DisplayFormat='0.0000', EditFormat='0.0000' 
WHERE FieldName='Cena_MJ'
UPDATE Global_FieldLabels SET FieldName='Spotreba', DisplayFormat='0.0000', EditFormat='0.0000' 
WHERE FieldName='Spotreba'

GO

UPDATE Global_DBVersion SET DBVer_num=12, LastCompatibleVer=12, DBVer_text='2.2'

GO